Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Refcounted_ObjectKey Class Reference

A wrapper class that ties together a refcount to an ObjectKey. More...

`#include <Refcounted_ObjectKey.h>`

Collaboration diagram for TAO::Refcounted_ObjectKey:

[legend]
List of all members.

## Public Methods
| Refcounted_ObjectKey (const ObjectKey &ref)
| Constructor.
const ObjectKey & | object_key (void) const
| Accessor for the underlying ObjectKey.
## Protected Methods
| ~Refcounted_ObjectKey (void)
| Protected destructor.
long | incr_refcount (void)
| Methods for incrementing and decrementing refcounts.
long | decr_refcount (void)
## Private Attributes
ObjectKey | object_key_
| The object key.
long | ref_count_
| The refcount on the object key..
## Friends
class | ObjectKey_Table

## Detailed Description

A wrapper class that ties together a refcount to an ObjectKey.

The refounts in this class is manipulated within the context of the lock in the TAO::ObjectKey_Table. Manipulating the refcounts from anywhere else is strictly forbidden.

## Constructor & Destructor Documentation

TAO::Refcounted_ObjectKey::Refcounted_ObjectKey | ( | const ObjectKey & | ref | ) |

| Constructor.

TAO::Refcounted_ObjectKey::~Refcounted_ObjectKey | ( | void |  | ) | `[protected]`

| Protected destructor.

## Member Function Documentation

long TAO::Refcounted_ObjectKey::decr_refcount | ( | void |  | ) | `[protected]`

ACE_INLINE long TAO::Refcounted_ObjectKey::incr_refcount | ( | void |  | ) | `[protected]`

| Methods for incrementing and decrementing refcounts.

ACE_INLINE const TAO::ObjectKey & TAO::Refcounted_ObjectKey::object_key | ( | void |  | ) | const

| Accessor for the underlying ObjectKey.

## Friends And Related Function Documentation

friend class ObjectKey_Table`[friend]`

## Member Data Documentation

ObjectKey TAO::Refcounted_ObjectKey::object_key_`[private]`

| The object key.

long TAO::Refcounted_ObjectKey::ref_count_`[private]`

| The refcount on the object key..

The documentation for this class was generated from the following files:

- Refcounted_ObjectKey.h
- Refcounted_ObjectKey.cpp
- Refcounted_ObjectKey.inl